.messages {
  display: flex;
  flex-direction: column;
  flex: auto;

  // Use a bottom padding equal to input height to use window's main scrollbar
  @media (max-width: 800px) {
    padding-bottom: 3em;
  }
  @media (min-width: 800px) {
    padding-bottom: 7em;
    padding-top: 2em;
  }
}

.message {
  max-width: 66%;
  padding: 7rem 14rem;
  margin: 8rem;
  position: relative;
  overflow: hidden;
  white-space: pre-line;
}

.message-admin {
  margin-right: auto;
  padding-left: 0;
  margin-left: 0.5em;
}

.message-user {
  background-color: #FEFEFE;
  box-shadow: 0 0 4rem @message-user-shadow-color;
  border-radius: 8rem;
  margin-left: auto;
}

.timestamp {
  font-size: 0.5em;
  padding-left: 1em;
  opacity: 0.5;
}

.message-receipt-mark {
  letter-spacing: -0.63em;
  font-size: 0.9em;
  margin-right: 5px;
  margin-left: 5px;
  color: #666;
}

// Message grouping

@grouped-messages-margin: 2rem;

.group-with-next {
  margin-bottom: @grouped-messages-margin;
}

.group-with-next + * {
  margin-top: @grouped-messages-margin;
}

// Date mark

.date-mark {
  font-size: 0.6em;
  padding: 1em;
  letter-spacing: 0.07em;
  text-transform: uppercase;
  text-align: center;
  opacity: 0.5;
}
